Lists menu issue clusters for a brand.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/menuIssueClusters
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand containing the menu issue clusters to list. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of menu issue clusters to return. The service may return fewer than this value. If unspecified, at most 50 menu issue clusters will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous |
filter |
Optional. Filter expression to restrict the returned menu issue clusters (e.g., by |
view |
Optional. The view to return. Defaults to MENU_ISSUE_CLUSTER_VIEW_BASIC. |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListMenuIssueClusters.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"menuIssueClusters": [
{
object ( |
| Fields | |
|---|---|
menuIssueClusters[] |
The list of retrieved menu issue clusters. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.